clang 10.0.0git

Public Member Functions | List of all members
clang::ast_matchers::dynamic::VariantMatcher::VariadicOpPayload Class Reference
Inheritance diagram for clang::ast_matchers::dynamic::VariantMatcher::VariadicOpPayload:
[legend]
Collaboration diagram for clang::ast_matchers::dynamic::VariantMatcher::VariadicOpPayload:
[legend]

## Public Member Functions
| VariadicOpPayload (DynTypedMatcher::VariadicOperator Op, std::vector< VariantMatcher > Args)
llvm::Optional< DynTypedMatcher > | getSingleMatcher () const override
std::string | getTypeAsString () const override
llvm::Optional< DynTypedMatcher > | getTypedMatcher (const MatcherOps &Ops) const override
bool | isConvertibleTo (ast_type_traits::ASTNodeKind Kind, unsigned *Specificity) const override

## Detailed Description

Definition at line 180 of file VariantValue.cpp.

## Constructor & Destructor Documentation

## ◆ VariadicOpPayload()

clang::ast_matchers::dynamic::VariantMatcher::VariadicOpPayload::VariadicOpPayload | ( | DynTypedMatcher::VariadicOperator | Op,
|  | std::vector< VariantMatcher > | Args
| ) |  |
| inline

Definition at line 182 of file VariantValue.cpp.

## Member Function Documentation

## ◆ getSingleMatcher()

llvm::Optional<DynTypedMatcher> clang::ast_matchers::dynamic::VariantMatcher::VariadicOpPayload::getSingleMatcher | ( |  | ) | const
| inline override

Definition at line 186 of file VariantValue.cpp.

## ◆ getTypeAsString()

std::string clang::ast_matchers::dynamic::VariantMatcher::VariadicOpPayload::getTypeAsString | ( |  | ) | const
| inline override

Definition at line 190 of file VariantValue.cpp.

## ◆ getTypedMatcher()

llvm::Optional<DynTypedMatcher> clang::ast_matchers::dynamic::VariantMatcher::VariadicOpPayload::getTypedMatcher | ( | const MatcherOps & | Ops | ) | const
| inline override

Definition at line 201 of file VariantValue.cpp.

## ◆ isConvertibleTo()

bool clang::ast_matchers::dynamic::VariantMatcher::VariadicOpPayload::isConvertibleTo | ( | ast_type_traits::ASTNodeKind | Kind,
|  | unsigned * | Specificity
| ) |  | const
| inline override

Definition at line 205 of file VariantValue.cpp.

The documentation for this class was generated from the following file:

- lib/ASTMatchers/Dynamic/VariantValue.cpp